com.dlsc.flexgantt.swing.layer.timeline

## Interface ITimelineObjectEditor

- All Known Implementing Classes:
    AbstractTimelineObjectEditor, DefaultActivityObjectEditor, DefaultTimelineObjectEditor

      public interface ITimelineObjectEditor

  An interface for editors that can be used for in-place editing of timeline objects. The editor component will not be shown in a dialog but directly inside the Gantt chart.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTimelineObjectEditorListener(ITimelineObjectEditorListener l)` Adds a listener to the editor that will be informed if the user stopped or canceled the editing from within the editor component.
    `void` | `cancelEditing()` Callback method for the timeline layer to indicate to the editor that the user has canceled the editing of the timeline object.
    `Component` | `getTimelineObjectEditorComponent(EditingLayer layer, TimelineObjectPath path)` Returns the actual editor component for the given tree node and timeline object.
    `void` | `removeTimelineObjectEditorListener(ITimelineObjectEditorListener l)` Removes a listener from the editor.
    `boolean` | `stopEditing()` Callback method for the timeline layer to indicate to the editor that the user has finished the editing of the timeline object.

- - ### Method Detail

    - #### getTimelineObjectEditorComponent

          Component getTimelineObjectEditorComponent(EditingLayer layer,
                                                     TimelineObjectPath path)

      Returns the actual editor component for the given tree node and timeline object.
      Parameters:
        `layer` - the layer that will display the editor
        `path` - the path to the timeline object that will be edited
      Returns:
        a component that can be used to edit the given timeline object
      Since:
        1.0

    - #### stopEditing

          boolean stopEditing()

      Callback method for the timeline layer to indicate to the editor that the user has finished the editing of the timeline object.
      Returns:
        TRUE if the new values for the timline object could be used, FALSE otherwise
      Since:
        1.0
      See Also:
        `cancelEditing()`

    - #### cancelEditing

          void cancelEditing()

      Callback method for the timeline layer to indicate to the editor that the user has canceled the editing of the timeline object.
      Since:
        1.0
      See Also:
        `stopEditing()`

    - #### addTimelineObjectEditorListener

          void addTimelineObjectEditorListener(ITimelineObjectEditorListener l)

      Adds a listener to the editor that will be informed if the user stopped or canceled the editing from within the editor component.
      Parameters:
        `l` - the listener to add
      Since:
        1.0

    - #### removeTimelineObjectEditorListener

          void removeTimelineObjectEditorListener(ITimelineObjectEditorListener l)

      Removes a listener from the editor.
      Parameters:
        `l` - the listener to remove
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.